Bug 8430 - Segmentation fault
: Segmentation fault
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/wmacpi)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-11-07 15:46 by
Modified: 2006-07-04 17:40 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-07 15:46:14
При старте сразу падаем. Проблема не в сборке, проблема в самом wmacpi. То ли
libdockapp поменялась, то ли оно так и было изначально (тогда непонятно, как
оно
работало раньше). В общем при использовании libdockapp нужно вызывать функцию
DAParseArguments() до того, как звать DAInitialize().
------- Comment #1 From 2006-05-03 20:06:20 -------
*** Bug 9508 has been marked as a duplicate of this bug. ***
------- Comment #2 From 2006-05-03 20:07:10 -------
[icesik@iceberg ~]$ wmacpi 
Segmentation fault
[icesik@iceberg ~]$ uname -a
Linux iceberg.work 2.6.16-wks26-up-alt3 #1 PREEMPT Mon Apr 17 22:03:32 MSD 2006
i686 GNU/Linux
[icesik@iceberg ~]$ rpm -q wmacpi
wmacpi-2.0rc1-alt1.1
[icesik@iceberg ~]$

Собрал более свежую версию wmacpi 2.0 и 2.1 -- тоже самое. segfault.
------- Comment #3 From 2006-05-04 07:23:25 -------
Гм. Возможно, стОит посмотреть на патчи, которые приложены в Debian:

http://ftp.debian.org/debian/pool/main/w/wmacpi/wmacpi_2.1-5.diff.gz

В самам конце этого diff'а есть патч, похожий на тот, что предложил dfo@


BTW, судя по всему автор уже решил переписать проект: на его же страничке есть
wmacpi-ng (сейчас весь его сайт мне почему-то оказался недоступен)

2icesik@: если патч из Дебиана поможет, то сделал бы NMU до новой версии +
пофиксил бы багу :)

P.S. wmacpi в глаза не видел )
------- Comment #4 From 2006-05-04 14:35:03 -------
(In reply to comment #3)
> Гм. Возможно, стОит посмотреть на патчи, которые приложены в Debian:
> 
> http://ftp.debian.org/debian/pool/main/w/wmacpi/wmacpi_2.1-5.diff.gz

Приложил к 2.1 и wmacpi заработал. 

> 
> В самам конце этого diff'а есть патч, похожий на тот, что предложил dfo@
> 
> 
> BTW, судя по всему автор уже решил переписать проект: на его же страничке есть
> wmacpi-ng (сейчас весь его сайт мне почему-то оказался недоступен)

wmacpi-ng имеет дату последнего релиза раньше чем у wmacpi. Так что, я думаю он
мёртв.

> 
> 2icesik@: если патч из Дебиана поможет, то сделал бы NMU до новой версии +
> пофиксил бы багу :)

Надо бы узнать, будет ли кто-нибуть против NMU?

> 
> P.S. wmacpi в глаза не видел )

------- Comment #5 From 2006-05-04 14:56:07 -------
(In reply to comment #4)
> (In reply to comment #3)
> > Гм. Возможно, стОит посмотреть на патчи, которые приложены в Debian:
> > http://ftp.debian.org/debian/pool/main/w/wmacpi/wmacpi_2.1-5.diff.gz
> Приложил к 2.1 и wmacpi заработал. 

Надеюсь, ты из diff'а debian-specific часть выкинул? :)

> > 2icesik@: если патч из Дебиана поможет, то сделал бы NMU до новой версии +
> > пофиксил бы багу :)
> Надо бы узнать, будет ли кто-нибуть против NMU?

Думаю, что нет. Ведь программа, которая работает лучше, чем программа, которая
падает с segmentation fault сразу после старта :)
------- Comment #6 From 2006-05-06 14:19:33 -------
Разрешение на "помахать напильником на время" получено. :)
------- Comment #7 From 2006-06-27 22:36:30 -------
fixed in 2.1-alt2 который вчера лёг в /i/S/.